Update an existing coupon
PATCH /v1/coupons/{id}
PATCH
/v1/coupons/{id}
Update an existing coupon by ID for the authenticated company
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Example
coupon_123abcThe unique identifier of the coupon to update
Request Body required
Section titled “Request Body required ”object
description
string
code
string
type
string
amountOff
number
percentOff
number
limit
number
offeringIds
Array<string>
contextIds
Array<string>
Example
{ "code": "UPDATED2024", "discountValue": 25, "maxUses": 150}Responses
Section titled “ Responses ”Successfully updated coupon
object
status
string
Example
ok data
object
id
string
companyId
string
description
string
code
string
type
string
amountOff
number
percentOff
number
limit
number
quantitySold
number
offeringIds
Array<string>
contextIds
Array<string>
status
string
Bad request - invalid coupon data
object
status
string
Example
error message
string
Example
An error occurred error
string
Unauthorized - authentication required
object
status
string
Example
error message
string
Example
An error occurred error
string
Coupon not found
object
status
string
Example
error message
string
Example
An error occurred error
string
Internal server error
object
status
string
Example
error message
string
Example
An error occurred error
string